> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List portfolio permission for a given user



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/PortfolioAccess
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/PortfolioAccess:
    get:
      tags:
        - PortfolioAccess
      summary: List portfolio permission for a given user
      operationId: Get
      parameters:
        - explode: true
          in: query
          name: organisationUserEmail
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiOrganisationUserPortfolioAccessGetResponse
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiOrganisationUserPortfolioAccessGetResponse:
      example:
        portfolio_accesses:
          - access_type: view
            portfolio_name: portfolio_name
            portfolio_type: derivitec
          - access_type: view
            portfolio_name: portfolio_name
            portfolio_type: derivitec
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        portfolio_accesses:
          items:
            $ref: '#/components/schemas/PortfolioAccess'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.PortfolioAccess.ApiOrganisationUserPortfolioAccessGetResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PortfolioAccess:
      discriminator:
        mapping:
          Derivitec.Web.Core.PortfolioAccess.PortfolioAccess, Derivitec.Web.Core: '#/components/schemas/PortfolioAccessMintlifyShape'
          Derivitec.Web.Core.PortfolioAccess.OrganisationPortfolioAccess, Derivitec.Web.Core: '#/components/schemas/OrganisationPortfolioAccess'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/PortfolioAccessMintlifyShape'
        - $ref: '#/components/schemas/OrganisationPortfolioAccess'
    PortfolioAccessMintlifyShape:
      example:
        access_type: view
        portfolio_name: portfolio_name
        portfolio_type: derivitec
      properties:
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        access_type:
          enum:
            - view
            - edit
            - full
            - owner
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.PortfolioAccess.PortfolioAccess,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    OrganisationPortfolioAccess:
      properties:
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        access_type:
          enum:
            - view
            - edit
            - full
            - owner
          type: string
        owners:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.PortfolioAccess.OrganisationPortfolioAccess,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````